# config.tcl - Motd 1.1 Config - Checks for needed config stuff at startup
# Copyright (C) 1997, 1998  Daniel Corbe
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

if {$wantgflag == "1"} {
  bind msg - hello *msg:$myword
  set learn-users 1
}
  
catch {unset motd__v_string}
if {$wantgflag == "1"} {
  set motd__v_string "G" 
} else {
  set motd__v_string "g"
}

if {$ctcpcloak == "1"} {
  set motd__v_string $motd__v_string\C
} else {
  set motd__v_string $motd__v_string\c
}

if {$cpuawarness == "1"} {
  set motd__v_string $motd__v_string\A
} else {
  set motd__v_string $motd__v_string\a
}

set motd__v_string "$motd__v_string F1=$flag1 M=$myword"

if {$ctcpcloak == "1"} {
# do nothing... Back Out Quietly..
} else {
  if {[info exists __s_version_response]} {
    set __s_version_response "$__s_version_response + $motd_version $motd__v_string"
    set ctcp-version "$__s_version_response"
  } else {
    set version_pickapart [lindex $version 0]
    set __s_version_response "Eggdrop $version_pickapart + $motd_version $motd__v_string"
    set ctcp-version "$__s_version_response"
  }
}

